## Class Dreieck

    java.lang.Object
      Figur
          Dreieck

    public class Dreieck

extends Figur

Field Summary
`(package private) boolean` | `gefuellt`

Constructor Summary
`Dreieck(double x1, double y1, double x2, double y2, double x3, double y3)`

Method Summary
`double` | `getX1()` Liefert die x-Koordinate des 1.
`double` | `getX2()` Liefert die x-Koordinate des 2.
`double` | `getX3()` Liefert die x-Koordinate des 3.
`double` | `getY1()` Liefert die y-Koordinate des 1.
`double` | `getY2()` Liefert die y-Koordinate des 2.
`double` | `getY3()` Liefert die y-Koordinate des 3.
`void` | `loesche()`
`void` | `setzeFuellFarbe(java.awt.Color c)`
`void` | `setzeLinienBreite(int lb)`
`void` | `setzeLinienFarbe(java.awt.Color c)`
`void` | `strecke(double a)`
`void` | `verschiebe(double dx, double dy)` Methode verschiebe
`void` | `zeige()` Zeichnet das Dreieck auf dem Bildschirm

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gefuellt

    boolean gefuellt

Constructor Detail

### Dreieck

    public Dreieck(double x1,
                   double y1,
                   double x2,
                   double y2,
                   double x3,
                   double y3)

Method Detail

### getX1

    public double getX1()

  Liefert die x-Koordinate des 1. Punkes

  Returns:
    die x-Koordinate des 1. Punktes

### getX2

    public double getX2()

  Liefert die x-Koordinate des 2. Punkes

  Returns:
    die x-Koordinate des 2. Punktes

### getX3

    public double getX3()

  Liefert die x-Koordinate des 3. Punkes

  Returns:
    die x-Koordinate des 3. Punktes

### getY1

    public double getY1()

  Liefert die y-Koordinate des 1. Punkes

  Returns:
    die y-Koordinate des 1. Punktes

### getY2

    public double getY2()

  Liefert die y-Koordinate des 2. Punkes

  Returns:
    die y-Koordinate des 2. Punktes

### getY3

    public double getY3()

  Liefert die y-Koordinate des 3. Punkes

  Returns:
    die y-Koordinate des 3. Punktes

### loesche

    public void loesche()

### setzeFuellFarbe

    public void setzeFuellFarbe(java.awt.Color c)

### setzeLinienBreite

    public void setzeLinienBreite(int lb)

### setzeLinienFarbe

    public void setzeLinienFarbe(java.awt.Color c)

### strecke

    public void strecke(double a)

### verschiebe

    public void verschiebe(double dx,
                           double dy)

  Methode verschiebe

  Parameters:
    `dx` - Verschiebung um dx in x-Richtung
    `dy` - Verschiebung um dy in y-Richtung

### zeige

    public void zeige()

  Zeichnet das Dreieck auf dem Bildschirm